## org.jboss.monitor.client
Class BeanCacheSnapshot

    java.lang.Object
      |
      +--org.jboss.monitor.client.BeanCacheSnapshot

All Implemented Interfaces:
  java.io.Serializable

public class BeanCacheSnapshot
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision: 1.1 $
Author:
  Simone Bordet (simone.bordet@compaq.com)
See Also:
  `Monitorable`, Serialized Form

Field Summary
`java.lang.String` `m_application`
`int` `m_cacheCapacity`
`int` `m_cacheMaxCapacity`
`int` `m_cacheMinCapacity`
`int` `m_cacheSize`
`java.lang.String` `m_container`
`int` `m_passivatingBeans`

Constructor Summary
`BeanCacheSnapshot()`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_application

    public java.lang.String m_application

### m_container

    public java.lang.String m_container

### m_passivatingBeans

    public int m_passivatingBeans

### m_cacheMinCapacity

    public int m_cacheMinCapacity

### m_cacheMaxCapacity

    public int m_cacheMaxCapacity

### m_cacheCapacity

    public int m_cacheCapacity

### m_cacheSize

    public int m_cacheSize

Constructor Detail

### BeanCacheSnapshot

    public BeanCacheSnapshot()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2000 The JBoss Organization. All Rights Reserved.